package sample;

import org.seasar.extension.dataset.DataSet;
import org.seasar.extension.unit.S2TestCase;

public class TestDaoTest extends S2TestCase {
  @Override
  public void setUp() {
    include("TestDaoTest.dicon");
  }
  
  public void testTx() throws Exception {
    TestDao dao = (TestDao)getComponent(TestDao.class);
    
    Test test = new Test();
    test.setColumnName("X");
    int result = dao.insert(test);
    assertEquals(1, result);
    
    DataSet expected = readXls("Test.xls");
    assertEquals(expected, reload(expected));
  }
}
